petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCGetDM

Gets the DM that may be used by some preconditioners

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCGetDM(PC pc,DM *dm)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

dm -the dm

### See Also

PCSetDM(), KSPSetDM(), KSPGetDM()

### Level

intermediate

### Location

src/ksp/pc/interface/pcset.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages